### Signal

# WPEWebProcessExtension WebFormManager::will-submit-form

since: 2.40

#### Declaration

    void
    will_submit_form (
      WebKitWebFormManager* self,
      JSCValue* form,
      WebKitFrame* source_frame,
      WebKitFrame* target_frame,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when `form` will imminently be submitted. It can no longer be cancelled. This event always occurs immediately before a form is submitted to its target, so use this event to reliably detect when a form is submitted. This signal is emitted after `WebKitWebFormManager::will-send-submit-event` if that signal is emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.40

#### Parameters

`form`

  Type: `JSCValue`

  The `JSCValue` to be submitted, which will always correspond to an HTMLFormElement.

  The data is owned by the caller of the function.

`source_frame`

  Type: `WebKitFrame`

  The `WebKitFrame` containing the form to be submitted.

  The data is owned by the caller of the function.

`target_frame`

  Type: `WebKitFrame`

  The `WebKitFrame` containing the form’s target, which may be the same as `source_frame` if no target was specified.

  The data is owned by the caller of the function.